<!--
~ EVS Client is part of the Gazelle Test Bed
~ Copyright (C) 2006-2016 IHE
~ mailto :eric DOT poiseau AT inria DOT fr
~
~ See the NOTICE file distributed with this work for additional information
~ regarding copyright ownership.  This code is licensed
~ to you under the Apache License, Version 2.0 (the
~ "License"); you may not use this file except in compliance
~ with the License.  You may obtain a copy of the License at
~
~   http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied.  See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}"/>
    <ui:param name="pageNameUrl" value="messageContentAnalyzer.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}"/>
    <ui:define name="header">
        <h:outputStylesheet library="stylesheet" name="extraxml.css"/>
    </ui:define>
    <ui:define name="body">

        <s:div id="globalDiv">
            <h:form id="globalForm">
                <s:token id="globalFormTokenId" allowMultiplePosts="true"/>

                <s:div rendered="#{analysisBeanGui.getAnalysis() == null}">

                    <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml" >


                        <ui:param name="panel_id" value="validatorPanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}"/>

                        </ui:define>

                        <div class="form-inline">

                            <s:div id="uploadFile" rendered="#{analysisBeanGui.uploadedFileContent == null}">
                                <h:outputText id="fileUploadInfo"
                                              value="#{messages['net.ihe.gazelle.mca.PleaseUploadTheMessageYouWantToAnalyzeOnlyFilesU']}"/>
                                <rich:fileUpload
                                        fileUploadListener="#{analysisBeanGui.uploadListener}"
                                        maxFilesQuantity="1"
                                        listHeight="60px"
                                        immediateUpload="true">
                                    <a4j:ajax event="uploadcomplete" render="globalForm, panel_footer_id, uploadFile, fileNameInfo" execute="globalFormTokenId"/>
                                </rich:fileUpload>
                            </s:div>

                            <s:div id="fileNameInfo" rendered="#{analysisBeanGui.uploadedFileContent != null}" styleClass="form-horizontal">
                                <s:decorate id="fileNameInfoDecoration" template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.mca.FileBeingAnalyzed']}</ui:define>
                                    <h:outputText  value="#{analysisBeanGui.getUploadedFileName()}"  />
                                </s:decorate>

                                <s:decorate template="/layout/form/_checkbox.xhtml" style="float: left; margin-right: 2em;">
                                    <ui:param name="id" value="cb"/>
                                    <ui:param name="styleClass" value="floating"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.mca.ShowContent']}
                                    </ui:define>
                                    <h:selectBooleanCheckbox id="cb" value="#{analysisBeanGui.showMessageInGui}">
                                        <a4j:ajax event="change" render="viewMessage"/>
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                                <s:div id="viewMessage">
                                    <s:div id="displayViewMessage" rendered="#{analysisBeanGui.showMessageInGui}">
                                        <ui:decorate template="/common/_documentRenderersTabs.xhtml">
                                            <ui:param name="document" value="#{analysisBeanGui.presenter.document}"/>
                                            <ui:param name="renderers" value="#{analysisBeanGui.presenter.renderers}"/>
                                            <ui:param name="activeItem" value="#{analysisBeanGui.presenter.activeRenderer}"/>
                                            <ui:param name="options" value="caption: #{messages['net.ihe.gazelle.document.prettified-content']}"/>
                                            <ui:param name="documentViewerStyle" value="document-short-viewer"/>
                                        </ui:decorate>
                                    </s:div>
                                </s:div>

                            </s:div>
                        </div>

                        <ui:define name="panel_footer">

                            <s:div id="panel_footer_id" styleClass="gzl-never-wrap">
                                <a4j:commandButton styleClass="gzl-btn" value="#{messages['net.ihe.gazelle.mca.Reset']}"
                                                   actionListener="#{analysisBeanGui.reset()}" render="globalForm" execute="globalFormTokenId"/>
                                <a4j:commandButton id="forwardToValidation" actionListener="#{analysisBeanGui.execute()}" rendered="#{!analysisBeanGui.needsUpload()}"
                                                   value="#{messages['net.ihe.gazelle.mca.Analyze']}" styleClass="gzl-btn-blue" execute="@form"/>
                                <a4j:commandButton styleClass="gzl-btn-blue" id="reusedMessageButton" action="#{analysisBeanGui.revalidate()}"
                                                   value="#{messages['net.ihe.gazelle.mca.ReAnalyze']}" rendered="#{analysisBeanGui.getAnalysis() != null}" execute="globalFormTokenId"/>
                            </s:div>
                        </ui:define>
                    </ui:decorate>

                </s:div>

            </h:form>

        </s:div>

    </ui:define>
</ui:composition>
